<div style="margin-bottom: 15px;">
    <p-dataTable
        [value]="purchaseOrderSbs"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idPurchaseOrder"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)">       
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Nomor PP">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.documentNumber}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                        [routerLink]="['./0/' + page + '/' + rowData.idPackage + '/detail']"
                        icon="fa-pencil"
                        class="flat-button"
                        pTooltip="Edit">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
